# Function cif::load_resource

- Defined in File utilities.hpp

## Function Documentation

std::unique_ptr<std::istream> cif::load_resource(std::filesystem::path name)

  Load a resource from disk or the compiled in resources.

  Note

  See the documentation on resources for more information.

  Parameters:

    name – The named resource to load

  Returns:

    std::unique_ptr<std::istream> A pointer to the std::istream or empty if not found